R
data = read.table("data.txt", T)
dat = data[data$Naming_Time > 100,]
table(dat$Voicekey, dat$Condition, dat$SOA)

dat2 = dat[dat$Voicekey == 1,]
pdf("density_namingTime.pdf")
plot(density(dat2$Naming_Time))
dev.off()

tapply(dat2$Naming_Time, list(dat2$SOA, dat2$Condition), mean)
tapply(dat2$Naming_Time, list(dat2$SOA), mean)
tapply(dat2$Naming_Time, list(dat2$Condition), mean)

sbj = aggregate(dat2$Naming_Time, list(dat2$PP_nr,dat2$Repetition, dat2$SOA, dat2$Condition), mean)
colnames(sbj) = c("sbj","rep","soa","cond","mean")
item = aggregate(dat2$Naming_Time, list(dat2$picture,dat2$Repetition, dat2$SOA, dat2$Condition), mean)
colnames(item) = c("item","rep","soa","cond","mean")

sbj$sbj = as.factor(sbj$sbj)
sbj$cond = as.factor(sbj$cond)
sbj$rep = as.factor(sbj$rep)
sbj$soa = as.factor(sbj$soa)
item$item = as.factor(item$item)
item$cond = as.factor(item$cond)
item$rep = as.factor(item$rep)
item$soa = as.factor(item$soa)

summary(aov(mean~ soa*cond*rep + Error(sbj/(soa*cond*rep)), data = sbj))
summary(aov(mean~ soa*cond*rep + Error(item/(soa*cond*rep)), data = item))